Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.graphic.view
Class HitInfo.Composite

    java.lang.Object
      jpicedt.graphic.view.HitInfo
          jpicedt.graphic.view.HitInfo.Composite

Enclosing class:
  HitInfo

public static class HitInfo.Composite
extends HitInfo

Represent a particular type of Hit that occured on a child of a branch-element, when one whants to specify both the element and its child. This can be considered an extended version of HitInfo.Point where the the "clicked" child play the role of the "clicked" control-point.

Nested Class Summary

Nested classes inherited from class jpicedt.graphic.view.HitInfo
`HitInfo.Composite, HitInfo.EnvelopeStroke, HitInfo.HighlighterStroke, HitInfo.Interior, HitInfo.Point, HitInfo.Stroke, HitInfo.Text`

Constructor Summary
`HitInfo.Composite(BranchElement clicked, int clickedChildIndex, PEMouseEvent mouseEvent)` construct a new HitInfo.Point that occured in the given BranchElement, on the child with the given index.

Method Summary
`Element` | `getClickedChild()`
`int` | `getClickedChildIndex()`
`String` | `toString()`

Methods inherited from class jpicedt.graphic.view.HitInfo
`getMouseEvent, getTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HitInfo.Composite

    public HitInfo.Composite(BranchElement clicked,
                             int clickedChildIndex,
                             PEMouseEvent mouseEvent)

  construct a new HitInfo.Point that occured in the given BranchElement, on the child with the given index.

Method Detail

### getClickedChildIndex

    public int getClickedChildIndex()

  Returns:
    return the child on which the mouse-click occured
  Since:
    jPicEdt

### getClickedChild

    public Element getClickedChild()

  Returns:
    return the child on which the mouse-click occured
  Since:
    jPicEdt

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org